import 'package:equatable/equatable.dart';

class OccupancyHeatMapModel extends Equatable {
  final DateTime date;

  final int occupancy;

  const OccupancyHeatMapModel({
    required this.date,
    required this.occupancy,
  });

  factory OccupancyHeatMapModel.fromJson(Map<String, dynamic> json) {
    return OccupancyHeatMapModel(
      date: DateTime.parse(json['date'] as String),
      occupancy: json['occupancy'] as int,
    );
  }

  @override
  List<Object?> get props => [date, occupancy];
}
