import 'package:syncrow_web/pages/analytics/models/phases_energy_consumption.dart';

abstract final class EnergyConsumptionByPhasesChartHelper {
  const EnergyConsumptionByPhasesChartHelper._();

  static const fakeData = <PhasesEnergyConsumption>[
    PhasesEnergyConsumption(month: 1, phaseA: 200, phaseB: 300, phaseC: 400),
    PhasesEnergyConsumption(month: 2, phaseA: 300, phaseB: 400, phaseC: 500),
    PhasesEnergyConsumption(month: 3, phaseA: 400, phaseB: 500, phaseC: 600),
    PhasesEnergyConsumption(month: 4, phaseA: 100, phaseB: 100, phaseC: 100),
    PhasesEnergyConsumption(month: 5, phaseA: 300, phaseB: 400, phaseC: 500),
    PhasesEnergyConsumption(month: 6, phaseA: 300, phaseB: 100, phaseC: 400),
    PhasesEnergyConsumption(month: 7, phaseA: 300, phaseB: 100, phaseC: 400),
    PhasesEnergyConsumption(month: 8, phaseA: 500, phaseB: 100, phaseC: 100),
    PhasesEnergyConsumption(month: 9, phaseA: 500, phaseB: 100, phaseC: 200),
    PhasesEnergyConsumption(month: 10, phaseA: 100, phaseB: 50, phaseC: 50),
    PhasesEnergyConsumption(month: 11, phaseA: 600, phaseB: 750, phaseC: 130),
    PhasesEnergyConsumption(month: 12, phaseA: 100, phaseB: 80, phaseC: 100),
  ];
}
