class GetOccupancyHeatMapParam {
  final DateTime year;
  final String communityId;
  final String spaceId;

  const GetOccupancyHeatMapParam({
    required this.year,
    required this.communityId,
    required this.spaceId,
  });

  Map<String, dynamic> toJson() {
    return {
      'year': year.toIso8601String(),
      'communityId': communityId,
      'spaceId': spaceId,
    };
  }
}
